Subject: Re: [PATCH v5 20/45] guix: node-build-system: Add implicit libuv input.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 19 Dec 2021 21:54:21 +0100

Am Sonntag, dem 19.12.2021 um 21:41 +0100 schrieb Jelle Licht:
> Not trying to dismiss this suggestion without a constructive
> alternative, but I would prefer not having node's libuv be a propagated
> input. What we need is some kind of 'propagated-for-builds-only-input'.
Note that I already made a similar suggestion w.r.t. pkg-config-based
propagated inputs over at guix-devel[1, 2] (They're the same thread,
use whichever layout you prefer).  IMHO, adding it as implicit input to
node-build-system as is done here works for me.

Cheers 

[1] https://lists.gnu.org/archive/html/guix-devel/2021-09/msg00051.html
[2]
https://yhetil.org/guix-devel/[email-masked]/